ui.controller

## Class AutoSaveController

- java.lang.Object
- - ui.controller.AutoSaveController

    public class AutoSaveController
    extends java.lang.Object

Autosave Controller.

Author:
  Gruppe14

### Constructor Summary

Constructors
Constructor and Description
`AutoSaveController(Model model)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `allowed()` Return isAllowed.
`void` `decreaseAutoSaveNr()` Decrease the Autosave Number.
`int` `getAutoSaveNr()` Return the Autosave Number.
`void` `increaseAutoSaveNr()` Increase the Auto save number.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AutoSaveController

    public AutoSaveController(Model model)

Constructor.

Parameters:
  `model` - the Model

### Method Detail

#### increaseAutoSaveNr

    public void increaseAutoSaveNr()

Increase the Auto save number.

#### decreaseAutoSaveNr

    public void decreaseAutoSaveNr()

Decrease the Autosave Number.

#### getAutoSaveNr

    public int getAutoSaveNr()

Return the Autosave Number.

Returns:
  Autosave Number

#### allowed

    public boolean allowed()

Return isAllowed.

Returns:
  isAllowed